Create an opt-in process
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/optinprocesses
clientIdstringClient ID
acceptstringGenerated from available response content types
confirmationMailingIdinteger<int64><p>ID of the mailing that is used for the opt-in process (only opt-in processes of type "confirmed" or "double")</p>
confirmationUrlstring<p>URL of the confirmation page to which the recipient is directed to complete the registration process (only opt-in processes of type "double")</p>
namestring<p>Internal name of the opt-in process</p>
typestring<single | confirmed | double><p>Type of the opt-in process</p>
descriptionstring<p>Internal description of the opt-in process</p>
201<p>The opt-in process was created successfully.</p>
404The confirmation mailing could not be found. Ensure that the required parameters such as "confirmationMailingId" are correct and the confirmation mailing exists.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/optinprocesses \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'name=string' \
--data 'type=single'